AccountingAccounts ReceivableInvoices
Create an Invoice
POST
Scopes: invoice:create
OAuth2ClientCredentialsBearer invoice:createheader
AuthorizationBearer <token>Scope: invoice:create
business_id*Business IdThe id of the business
Format
biz_stringx-user-id?|Optional external entity identifier that performed the action
application/json- body
Items
items <= 100[index: integer]?Successful Response
application/json- response
data*array<>errors*array<>curl -X POST 'https://api.sandbox.getasset.com/v0/business/biz_GA6EG2qFxA97NZHtxeLPUy/invoice' \ -H 'Content-Type: application/json' \ -d '[ { "number": "INV-001", "description": "Web development services", "due_at": "2025-02-15T00:00:00Z", "sent_at": "2025-01-15T00:00:00Z", "lines": [ { "description": "Web development services", "amount": 520.56 } ] }]'Example Response
{ "data": [ { "business_id": "biz_Pk2fNFDd8wj7EFeLWJywc7", "external_id": "inv-2025-01-15-001", "number": "INV-1234567890", "description": "Invoice from Acme Corp", "total_amount": 520.56, "total_paid": 520.56, "source": "manual", "due_at": "2019-08-24T14:15:22Z", "sent_at": "2019-08-24T14:15:22Z", "voided_at": "2019-08-24T14:15:22Z", "status": "paid", "metadata": {}, "id": "inv_GkBo16N66u2teKfFuFMMwf", "lines": [ { "description": "Web development services", "ledger_id": "ldg_ErisumsAc7qgmbTctM7zKK", "amount": 520.56, "metadata": {}, "id": "inl_GkBo16N66u2teKfFuFMMwf", "invoice_id": "inv_WQMDNUHpBThYSNh4AprDBo" } ], "payments": [ { "invoice_id": "inv_GkBo16N66u2teKfFuFMMwf", "transaction_id": "txn_WQMDNUHpBThYSNh4AprDBo", "credit_journal_entry_id": "0ec1143c-fe29-4ebb-b104-371042e6ce1d", "credit_cash_journal_entry_id": "dd3ccf56-811f-41ac-87f8-fa1d01c62729", "credit_memo_id": "3bc646ad-505a-4b36-92e4-42b2df5314e8", "payment_id": "inp_ErisumsAc7qgmbTctM7zKK", "datetime": "2021-01-01T00:00:00Z", "payment_amount": 520.56, "id": "inp_WQMDNUHpBThYSNh4AprDBo", "invoice": {}, "is_write_off": false } ], "customer_id": "cus_WxcM3ypJ5boFxsNQzcqRXe", "currency": "CAD", "tags": { "Job": [ { "amount": "3000.00", "value": "Maple Street Remodel" }, { "amount": "1500.00", "value": "Downtown Office Rewire" } ] } } ], "errors": [ { "error": "string", "invoice_number": "string", "external_id": "inv-2025-01-15-001" } ]}